> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinversa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API public v1 pulse lifecycle by ID



## OpenAPI

````yaml /api-reference/openapi.json get /api/public/v1/pulse/lifecycle/{id}
openapi: 3.1.0
info:
  title: coinversa-api
  version: 0.1.0
servers:
  - url: https://api.coinversa.ai
    description: Production
security: []
paths:
  /api/public/v1/pulse/lifecycle/{id}:
    get:
      summary: Get API public v1 pulse lifecycle by ID
      operationId: get-api-public-v1-pulse-lifecycle-by-id
      parameters:
        - in: path
          name: id
          required: true
          schema:
            format: int64
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LifecycleDetailBody'
          description: OK
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Bad Request
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unauthorized
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Not Found
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unprocessable Entity
        '429':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Too Many Requests
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    LifecycleDetailBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/LifecycleDetailBody.json
          format: uri
          readOnly: true
          type: string
        address:
          type: string
        fills:
          items:
            $ref: '#/components/schemas/LifecycleFill'
          type:
            - array
            - 'null'
        lifecycle:
          $ref: '#/components/schemas/LifecycleRow'
      required:
        - address
        - lifecycle
        - fills
      type: object
    APIError:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/APIError.json
          format: uri
          readOnly: true
          type: string
        code:
          description: Machine-readable error code
          type: string
        current_tier:
          description: Caller's effective tier
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        required_tier:
          description: Minimum tier for this operation
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
        upgrade_url:
          description: Where to upgrade
          type: string
      type: object
    LifecycleFill:
      additionalProperties: false
      properties:
        builderFee:
          format: double
          type: number
        fee:
          format: double
          type: number
        hash:
          type: string
        pnl:
          format: double
          type: number
        px:
          format: double
          type: number
        rawTime:
          format: int64
          type: integer
        side:
          type: string
        sz:
          format: double
          type: number
        tid:
          format: int64
          type: integer
        tradeTime:
          type: string
      required:
        - rawTime
        - tid
        - side
        - sz
        - px
        - pnl
        - fee
        - builderFee
        - tradeTime
      type: object
    LifecycleRow:
      additionalProperties: false
      properties:
        builderFee:
          format: double
          type: number
        closedAt:
          type: string
        closedAtRaw:
          format: int64
          type: integer
        coin:
          type: string
        durationMs:
          format: int64
          type: integer
        entryVwap:
          format: double
          type: number
        exitVwap:
          format: double
          type: number
        fees:
          format: double
          type: number
        fillCount:
          format: int32
          type: integer
        id:
          format: int64
          type: integer
        isClosed:
          type: boolean
        lifecycleNum:
          format: int32
          type: integer
        liquidationClosedPnl:
          format: double
          type: number
        liquidationMethod:
          type: string
        liquidatorAddress:
          type: string
        openedAt:
          type: string
        openedAtRaw:
          format: int64
          type: integer
        openedBeforeWindow:
          type: boolean
        peakSize:
          format: double
          type: number
        penaltyFeePaid:
          format: double
          type: number
        realizedPnl:
          format: double
          type: number
        side:
          type: string
        status:
          type: string
        wasLiquidated:
          type: boolean
      required:
        - id
        - coin
        - lifecycleNum
        - side
        - openedAt
        - openedAtRaw
        - peakSize
        - entryVwap
        - realizedPnl
        - fees
        - builderFee
        - fillCount
        - status
        - isClosed
        - openedBeforeWindow
        - wasLiquidated
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    apiKey:
      description: Get one at https://coinversa.ai/developers
      in: header
      name: X-API-Key
      type: apiKey

````